/**
 * Created by Largoyle on 12/04/2014.
 */

/// <reference path="H:/Webpages/96ideas/Gamster/root/libs/phaser/build/phaser.d.ts" />
/// <reference path="./Preloader.ts" />
/// <reference path="./Boot.ts" />
/// <reference path="./MainMenu.ts" />
/// <reference path="./Player.ts" />
/// <reference path="./Level1.ts" />


module BTSLD29 {

    export class Game extends Phaser.Game {

        constructor() {

            super(800, 450, Phaser.AUTO, 'content', null);

            this.state.add('Boot', Boot, false);
            this.state.add('Preloader', Preloader, false);
            this.state.add('MainMenu', MainMenu, false);
            this.state.add('Level1', Level1, false);

            this.state.start('Boot');

        }

    }

}
